Loading...
Searching...
No Matches
BALL::PDBFile::Option Struct Reference

`#include <BALL/FORMAT/PDBFile.h>`

## Static Public Attributes

static const char * | VERBOSITY
static const char * | STRICT_LINE_CHECKING
static const char * | CHOOSE_MODEL
static const char * | STORE_SKIPPED_RECORDS
static const char * | IGNORE_XPLOR_PSEUDO_ATOMS
static const char * | PARSE_PARTIAL_CHARGES
static const char * | WRITE_PDBFORMAT_1996

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in PDBFile::options.

  For each symbol the required type is given under parameters.

Definition at line 66 of file PDBFile.h.

## Member Data Documentation

## CHOOSE_MODEL

const char* BALL::PDBFile::Option::CHOOSE_MODEL

static

Choose a model. If a PDB file contains several models, choose the model you want to have read via this option. Default is the first model appearing, denoted by Index 0. If you want to read all models, choose index -1.

See also
  Default::CHOOSE_MODEL

Definition at line 91 of file PDBFile.h.

## IGNORE_XPLOR_PSEUDO_ATOMS

const char* BALL::PDBFile::Option::IGNORE_XPLOR_PSEUDO_ATOMS

static

Ignore XPLOR pseudo atoms. If this option is set XPLOR pseudo atoms (recognized by their x/y/z coordinates of 9999.0) will be dropped.

See also
  Default::IGNORE_XPLOR_PSEUDO_ATOMS

Definition at line 105 of file PDBFile.h.

## PARSE_PARTIAL_CHARGES

const char* BALL::PDBFile::Option::PARSE_PARTIAL_CHARGES

static

Parse partial charges in columns 76-80. Some variants of PDB like to store atom partial charges in these columns (according to the standard, these columns contain the element symbol and formal charges).

Definition at line 112 of file PDBFile.h.

## STORE_SKIPPED_RECORDS

const char* BALL::PDBFile::Option::STORE_SKIPPED_RECORDS

static

Store skipped records in info. If this option is set, all unparsed records will end up in the skipped record list of info.

See also
  Default::STORE_SKIPPED_RECORDS

Definition at line 98 of file PDBFile.h.

## STRICT_LINE_CHECKING

const char* BALL::PDBFile::Option::STRICT_LINE_CHECKING

static

Enable strict line checking. [Not yet implemented] This option turns line checking on or off. Line checking is a very simple test for the correct length of input lines. The default is to keep line checking turned off.

See also
  Default::LINE_CHECKING

Definition at line 82 of file PDBFile.h.

## VERBOSITY

const char* BALL::PDBFile::Option::VERBOSITY

static

The verbosity level. Use integer values with this option. 0 = terse

  99 = tell me everything

See also
  Default::VERBOSITY

Definition at line 74 of file PDBFile.h.

## WRITE_PDBFORMAT_1996

const char* BALL::PDBFile::Option::WRITE_PDBFORMAT_1996

static

Write PDB-CONECT records according to the format guidelines of 1996. default is supporting the current format from 2006.

See also
  Default::WRITE_PDBFORMAT_1996

Definition at line 118 of file PDBFile.h.